package com.ruoyi.flowable.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.invest.domain.FlowBaseInfo;
import com.ruoyi.invest.domain.TProjectPool;
import com.ruoyi.invest.domain.TProjectReview;
import com.ruoyi.invest.domain.vo.TProjectPoolVo;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 项目池Service接口
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
public interface IInvestmentOpportunityService
{
    //查询项目阶段（总）
    List<TProjectPool> selectProjectList(TProjectPool tProjectPool);
    //查询可申请项目列表-可申请（总)
    List<TProjectPool> selectApplicableProjectList(TProjectPool tProjectPool);
    List<TProjectPoolVo> selectAllInvestmentOpportunityList(TProjectPool tProjectPool);
    List<TProjectPoolVo> getMyTaskList(String userId, TProjectPool tProjectPool);
    List<TProjectPoolVo> getMyDoneTaskList(String userId, TProjectPool tProjectPool);
    List<TProjectPoolVo> getMyList(String userId, TProjectPool tProjectPool);

    TProjectPool selectTProjectPoolByProcInstId(String pInstId);

    AjaxResult start(TProjectPool tProjectPool);
    AjaxResult complete(TProjectPool tProjectPool, TProjectReview tProjectReview, FlowBaseInfo flow, HttpServletRequest request) throws Exception ;




}
